fcf.module({
  name: "fcfDBControls:templates/removal-form.receive.js",
  dependencies: [],
  module: function(){
    return class Handler {
      receive(a_fields, a_files){
        return fcf.application.getStorage().query({
          type: "delete",
          from: a_fields.projection,
          where: [{type: "=", args: [{function: "key"}, {value: a_fields.key}]}],
        });
      }
    }
  }
});
